﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using HelloWorld_ASPNETSITE.Models;

namespace HelloWorld_ASPNETSITE.Controllers
{
    public class FriendsController : Controller
    {
        FriendsDB friendsDB = new FriendsDB();
        //
        // GET: /Friends/

        public ActionResult Index()
        {
            var friends = from friend in friendsDB.Friends
                          select friend;


            return View(friends);
        }

        public ActionResult Create()
        {

            return View();
        }

        [HttpPost]
        public ActionResult Create(Friend myFriend)
        {
            try
            {
                friendsDB.Friends.InsertOnSubmit(myFriend);
                friendsDB.SubmitChanges();
                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}
